Bug 135743 - Web Inspector: new glyphs are visible on OS X 10.9 builds
Summary: Web Inspector: new glyphs are visible on OS X 10.9 builds
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Timothy Hatcher
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2014-08-07 21:09 PDT by Brian Burg
Modified: 2014-08-10 03:25 PDT (History)
5 users (show)

See Also:


Attachments
screenshot (110.96 KB, image/png)
2014-08-07 21:09 PDT, Brian Burg
no flags Details
tex color change (231.47 KB, image/png)
2014-08-07 21:21 PDT, Brian Burg
no flags Details
Patch (22.39 KB, patch)
2014-08-08 14:29 PDT, Timothy Hatcher
no flags Details | Formatted Diff | Diff
Patch (15.62 KB, patch)
2014-08-10 02:45 PDT, Timothy Hatcher
no flags Details | Formatted Diff | Diff
Patch (15.63 KB, patch)
2014-08-10 02:47 PDT, Timothy Hatcher
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2014-08-07 21:09:27 PDT
Per screenshot. The dashboard looks a little different too, though I can't pinpoint what changed. Maybe the font is different?
Comment 1 Brian Burg 2014-08-07 21:09:48 PDT
Created attachment 236262 [details]
screenshot
Comment 2 Radar WebKit Bug Importer 2014-08-07 21:10:05 PDT
<rdar://problem/17955582>
Comment 3 Radar WebKit Bug Importer 2014-08-07 21:13:51 PDT
<rdar://problem/17955579>
Comment 4 Brian Burg 2014-08-07 21:20:58 PDT
Changes:

- The chevrons to show full-height console
- Folder tree element icons
- the X dismiss glyph in Timeline sidebar panel

Another regression: in the resources sidebar panel, some text of main resource tree element and its download/reload glyphs turn black if you mousedown on the Timelines toolbar icon but don't mouseup. I think this is an :active style getting stuck or something?
Comment 5 Brian Burg 2014-08-07 21:21:25 PDT
Created attachment 236263 [details]
tex color change
Comment 6 Brian Burg 2014-08-07 21:48:39 PDT
Also, the glyphs for docking to the side or bottom are different.
Comment 7 Timothy Hatcher 2014-08-08 14:29:04 PDT
Created attachment 236308 [details]
Patch
Comment 8 Brian Burg 2014-08-08 14:38:24 PDT
I think the debugger play/pause button is also wrong (at least it looked weird when I hooked up Xcode debugger to the crash), but hard to tell with debugging broken. It may just be a render glitch as the process crashes?
Comment 9 Joseph Pecoraro 2014-08-08 14:44:48 PDT
Comment on attachment 236308 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=236308&action=review

r=me, though you may want to check Brian's recent comment about Debugger buttons.

> Source/WebInspectorUI/UserInterface/Views/DataGrid.css:163
> -.data-grid td > div, .data-grid th > div {
> +.data-grid th > div,
> +.data-grid td > div {

I wonder when we should start forward and use :-webkit-any(...). This could be:

    .data-grid :-webkit-any(th, td) > div

I think we should stick with what we have now though =)
Comment 10 Timothy Hatcher 2014-08-10 02:45:46 PDT
Created attachment 236343 [details]
Patch
Comment 11 Timothy Hatcher 2014-08-10 02:47:39 PDT
Created attachment 236344 [details]
Patch
Comment 12 WebKit Commit Bot 2014-08-10 03:25:44 PDT
Comment on attachment 236344 [details]
Patch

Clearing flags on attachment: 236344

Committed r172379: <http://trac.webkit.org/changeset/172379>
Comment 13 WebKit Commit Bot 2014-08-10 03:25:47 PDT
All reviewed patches have been landed.  Closing bug.